Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.xml.schema
Class ComplexTypeDeclaration

    java.lang.Object
      org.deegree.framework.xml.schema.ComplexTypeDeclaration

All Implemented Interfaces:
  TypeDeclaration

Direct Known Subclasses:
  MappedComplexTypeDeclaration

    public class ComplexTypeDeclaration

extends Object
implements TypeDeclaration

Represents an XML complex type declaration in an `XMLSchema`.

The following limitations apply:

- the type may be defined using 'extension', but must not use 'restriction'
- the content model must be a sequence

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`ComplexTypeDeclaration(QualifiedName name, TypeReference extensionBaseType, ElementDeclaration[] subElements)` Creates a new `ComplexTypeDeclaration` instance from the given parameters.

Method Summary
`ElementDeclaration[]` | `getElements()` Returns the `ElementDeclaration`s in this `ComplexTypeDeclaration` contains, this includes the ones that are inherited (from the extended type).
`ElementDeclaration[]` | `getExplicitElements()` Returns the `ElementDeclaration`s that this `ComplexTypeDeclaration` contains, but not the ones that are inherited (from the extended type).
`TypeReference` | `getExtensionBaseType()` Returns a `TypeReference` to the XML type that this complex type extends.
`QualifiedName` | `getName()` Returns the qualified name of the declared XML type.
`String` | `toString()` Returns a string representation of the object.
`String` | `toString(String indent)` Returns a string representation of the object (indented for better readablity, as this is a hierarchical structure).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComplexTypeDeclaration

    public ComplexTypeDeclaration(QualifiedName name,
                                  TypeReference extensionBaseType,
                                  ElementDeclaration[] subElements)

  Creates a new `ComplexTypeDeclaration` instance from the given parameters.

  Parameters:
    `name` -
    `extensionBaseType` -
    `subElements` -

Method Detail

### getName

    public QualifiedName getName()

  Returns the qualified name of the declared XML type.

  Specified by:
    `getName` in interface `TypeDeclaration`
  Returns:
    the qualified name of the declared XML type

### getExtensionBaseType

    public TypeReference getExtensionBaseType()

  Returns a `TypeReference` to the XML type that this complex type extends.

  Returns:
    a TypeReference to the XML type that this complex type extends

### getExplicitElements

    public ElementDeclaration[] getExplicitElements()

  Returns the `ElementDeclaration`s that this `ComplexTypeDeclaration` contains, but not the ones that are inherited (from the extended type).

  Returns:
    the explicit ElementDeclarations in this ComplexTypeDeclaration

### getElements

    public ElementDeclaration[] getElements()

  Returns the `ElementDeclaration`s in this `ComplexTypeDeclaration` contains, this includes the ones that are inherited (from the extended type).

  Returns:
    the explicit+implicit ElementDeclarations in this ComplexTypeDeclaration

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

### toString

    public String toString(String indent)

  Returns a string representation of the object (indented for better readablity, as this is a hierarchical structure).

  Specified by:
    `toString` in interface `TypeDeclaration`
  Parameters:
    `indent` - current indentation (as a whitespace string)
  Returns:
    an indented string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org